Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.framework.log
Interface ILogger

All Known Implementing Classes:
  JCLLogger, LoggerService

    public interface ILogger

This interface specifies the log worker services.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Torsten Friebe, Andreas Schmitz, Markus Schneider, last edited by: $Author: mschneider $

Field Summary
`static int` | `LOG_DEBUG` Debug log level
`static int` | `LOG_ERROR` Fatal error log level
`static int` | `LOG_INFO` Info log level
`static int` | `LOG_WARNING` Warning log level

Method Summary
`void` | `bindClass(Class<?> name)`
`void` | `bindClass(String name)`
`int` | `getLevel()`
`void` | `init(Properties props)`
`boolean` | `isDebug()` Debugging log is enabled.
`void` | `log(int priority, String message, Object source, Throwable ex)`
`void` | `log(int priority, String message, Throwable ex)`
`void` | `logDebug(String message)`
`void` | `logDebug(String message, Object... tracableObjects)`
`void` | `logDebug(String message, Object tracableObject)`
`void` | `logDebug(String message, Throwable e)`
`void` | `logDebugBinaryFile(File file, byte[] data)` Logs the given binary data to the specified file if log level is set to `LOG_DEBUG`.
`void` | `logDebugBinaryFile(String filePrefix, String fileSuffix, byte[] data)` Logs the given binary data to a temporary file (created from specified prefix and suffix) if log level is set to `LOG_DEBUG`.
`void` | `logDebugFile(File file, String content)` Logs the given text to the specified file if log level is set to `LOG_DEBUG`.
`void` | `logDebugFile(String filePrefix, String fileSuffix, String content)` Logs the given text to a temporary file (created from specified prefix and suffix) if log level is set to `LOG_DEBUG`.
`void` | `logDebugXMLFile(String filePrefix, XMLFragment fragment)` Logs the given `XMLFragment` to a temporary file (created from specified prefix and suffix ".xml") if log level is set to `LOG_DEBUG`.
`void` | `logError(String message)` Log error message.
`void` | `logError(String message, Throwable e)` Log error with exception
`void` | `logError(Throwable e)` Log error with exception, use the exceptions.getLocatizedMethod for the message
`void` | `logInfo(String message)`
`void` | `logInfo(String message, Object... tracableObjects)`
`void` | `logInfo(String message, Object tracableObject)`
`void` | `logInfo(String message, Throwable e)`
`void` | `logWarning(String message)`
`void` | `logWarning(String message, Throwable e)`
`void` | `setLevel(int level)` sets the debug level

Field Detail

### LOG_DEBUG

    static final int LOG_DEBUG

  Debug log level

  See Also:
    Constant Field Values

### LOG_INFO

    static final int LOG_INFO

  Info log level

  See Also:
    Constant Field Values

### LOG_WARNING

    static final int LOG_WARNING

  Warning log level

  See Also:
    Constant Field Values

### LOG_ERROR

    static final int LOG_ERROR

  Fatal error log level

  See Also:
    Constant Field Values

Method Detail

### init

    void init(Properties props)

  Parameters:
    `props` -

### bindClass

    void bindClass(String name)

  Parameters:
    `name` -

### bindClass

    void bindClass(Class<?> name)

  Parameters:
    `name` -

### logDebug

    void logDebug(String message)

  Parameters:
    `message` -

### logDebugFile

    void logDebugFile(File file,
                      String content)

  Logs the given text to the specified file if log level is set to `LOG_DEBUG`.

  Parameters:
    `file` - file to log to
    `content` - text to be logged

### logDebugFile

    void logDebugFile(String filePrefix,
                      String fileSuffix,
                      String content)

  Logs the given text to a temporary file (created from specified prefix and suffix) if log level is set to `LOG_DEBUG`.

  Parameters:
    `filePrefix` - prefix for the temp file name
    `fileSuffix` - suffix for the temp file name, can be null (then ".tmp" is used)
    `content` - text to be logged
  See Also:
    `File.createTempFile(String, String)`

### logDebugXMLFile

    void logDebugXMLFile(String filePrefix,
                         XMLFragment fragment)

  Logs the given `XMLFragment` to a temporary file (created from specified prefix and suffix ".xml") if log level is set to `LOG_DEBUG`.

  Parameters:
    `filePrefix` - prefix for the temp file name
    `fragment` - XMLFragment to be logged (will be pretty-printed)

### logDebugBinaryFile

    void logDebugBinaryFile(File file,
                            byte[] data)

  Logs the given binary data to the specified file if log level is set to `LOG_DEBUG`.

  Parameters:
    `file` - file to log to
    `data` - binary data to be logged

### logDebugBinaryFile

    void logDebugBinaryFile(String filePrefix,
                            String fileSuffix,
                            byte[] data)

  Logs the given binary data to a temporary file (created from specified prefix and suffix) if log level is set to `LOG_DEBUG`.

  Parameters:
    `filePrefix` - prefix for the temp file name
    `fileSuffix` - suffix for the temp file name, can be null (then ".tmp" is used)
    `data` - binary data to be logged
  See Also:
    `File.createTempFile(String, String)`

### logInfo

    void logInfo(String message)

  Parameters:
    `message` -

### logWarning

    void logWarning(String message)

  Parameters:
    `message` -

### logError

    void logError(String message)

  Log error message.

  Parameters:
    `message` - the log message

### logDebug

    void logDebug(String message,
                  Throwable e)

  Parameters:
    `message` -
    `e` -

### logInfo

    void logInfo(String message,
                 Throwable e)

  Parameters:
    `message` -
    `e` -

### logWarning

    void logWarning(String message,
                    Throwable e)

  Parameters:
    `message` -
    `e` -

### logError

    void logError(String message,
                  Throwable e)

  Log error with exception

  Parameters:
    `message` - the log message
    `e` - the exception to be logged

### logError

    void logError(Throwable e)

  Log error with exception, use the exceptions.getLocatizedMethod for the message

  Parameters:
    `e` - the exception to be logged

### logDebug

    void logDebug(String message,
                  Object tracableObject)

  Parameters:
    `message` -
    `tracableObject` -

### logDebug

    void logDebug(String message,
                  Object... tracableObjects)

  Parameters:
    `message` -
    `tracableObjects` -

### logInfo

    void logInfo(String message,
                 Object tracableObject)

  Parameters:
    `message` -
    `tracableObject` -

### logInfo

    void logInfo(String message,
                 Object... tracableObjects)

  Parameters:
    `message` -
    `tracableObjects` -

### log

    void log(int priority,
             String message,
             Throwable ex)

  Parameters:
    `priority` -
    `message` -
    `ex` -

### log

    void log(int priority,
             String message,
             Object source,
             Throwable ex)

  Parameters:
    `priority` -
    `message` -
    `source` -
    `ex` -

### setLevel

    void setLevel(int level)

  sets the debug level

  Parameters:
    `level` -

### getLevel

    int getLevel()

  Returns:
    the debug level

### isDebug

    boolean isDebug()

  Debugging log is enabled.

  Returns:
    `true` if the log level is DEBUG, otherwise `false`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org